Package edu.wisc.game.sql

## Class Game

- java.lang.Object
- - edu.wisc.game.sql.Game

-     public class Game
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Board` | `initialBoard` | Only if fixed; null if random
    `int` | `nColors` | If starting with a random board, the number of pieces to use.
    `int` | `nShapes` | If starting with a random board, the number of pieces to use.
    `int` | `randomObjCnt` | If starting with a random board, the number of pieces to use.
    `RuleSet` | `rules` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Game​(RuleSet _rules, int _randomObjCnt, int _nShapes, int _nColors, Piece.Shape[] _allShapes, Piece.Color[] _allColors)` | A game with shape-and-color objects used as game pieces
    `Game​(RuleSet _rules, int _randomObjCnt, Piece.Shape[] _allShapes, Piece.Color[] _allColors)` |
    `Game​(RuleSet _rules, int _randomObjCnt, String[] _allImages)` | A game with image-and-properties-based objects used as game pieces
    `Game​(RuleSet _rules, Board _initialBoard)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### rules

          public RuleSet rules

    - #### initialBoard

          public Board initialBoard

      Only if fixed; null if random

    - #### randomObjCnt

          public int randomObjCnt

      If starting with a random board, the number of pieces to use. Only used if initialBoard==null

    - #### nShapes

          public int nShapes

      If starting with a random board, the number of pieces to use. Only used if initialBoard==null

    - #### nColors

          public int nColors

      If starting with a random board, the number of pieces to use. Only used if initialBoard==null

  - ### Constructor Detail

    - #### Game

          public Game​(RuleSet _rules,
                      Board _initialBoard)

    - #### Game

          public Game​(RuleSet _rules,
                      int _randomObjCnt,
                      Piece.Shape[] _allShapes,
                      Piece.Color[] _allColors)

    - #### Game

          public Game​(RuleSet _rules,
                      int _randomObjCnt,
                      int _nShapes,
                      int _nColors,
                      Piece.Shape[] _allShapes,
                      Piece.Color[] _allColors)

      A game with shape-and-color objects used as game pieces

    - #### Game

          public Game​(RuleSet _rules,
                      int _randomObjCnt,
                      String[] _allImages)

      A game with image-and-properties-based objects used as game pieces